//
//  ViewController.m
//  UITableViewOriginDemo
//
//  Created by Martin Banas on 09/04/14.
//  Copyright (c) 2014 Martin Banas. All rights reserved.
//

#import "ViewController.h"
#import "BaseCell.h"

@implementation ViewController {
    NSMutableArray *_data;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    _data = @[@"Praha", @"Brno", @"Ostrava"].mutableCopy;
    [_tableView reloadData];
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return _data.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    static NSString *CellIdentifier = @"BaseCell";
    BaseCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    
    cell.titleLabel.text = [_data objectAtIndex:indexPath.row];
    
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    [self showAlertWithIndex:indexPath.row];
}

- (void)showAlertWithIndex:(NSUInteger)index {
    [[[UIAlertView alloc] initWithTitle:@"Alert" message:_data[index] delegate:nil cancelButtonTitle:@"Close" otherButtonTitles:nil, nil] show];
}

@end
